skip to navigation
skip to content

flake8-quotes 0.11.0

Flake8 lint for quotes.

Deprecation notice in 0.3.0

To anticipate multiline support, we are renaming --quotes to --inline-quotes. Please adjust your configurations appropriately.

Usage

If you are using flake8 it’s as easy as:

pip install flake8-quotes

Now you don’t need to worry about people like @sectioneight constantly complaining that you are using double-quotes and not single-quotes.

Configuration

By default, we expect single quotes (‘) and look for unwanted double quotes (“). To expect double quotes (“) and find unwanted single quotes (‘), use the CLI option:

flake8 --inline-quotes '"'
# We also support "double" and "single"
# flake8 --inline-quotes 'double'
#
# We also support configuration for multiline quotes
# flake8 --inline-quotes '"' --multiline-quotes "'"
# We also support "'''"
# flake8 --inline-quotes '"' --multiline-quotes "'''"

or configuration option in tox.ini/setup.cfg.

inline-quotes = "
# We also support "double" and "single"
# inline-quotes = double
#
# We also support configuration for multiline quotes
# multiline-quotes = '
# We also support "'''"
# multiline-quotes = '''
 
File Type Py Version Uploaded on Size
flake8-quotes-0.11.0.tar.gz (md5) Source 2017-05-24 6KB